#!/bin/bash
#
# simple gpio demo
#

INPUTS="23 24"
OUTPUTS="17 27 22"


echo "Initialise inputs .."
for i in $INPUTS
do
  echo $i > /sys/class/gpio/export
  echo "in" > /sys/class/gpio/gpio${i}/direction
done

echo "Initialise outputs .."
for i in $OUTPUTS
do
  echo $i > /sys/class/gpio/export
  echo "out" > /sys/class/gpio/gpio${i}/direction
done


# blink
for c in $(seq 1 2)
do
  for i in $OUTPUTS
  do
    v=$[${c}%2]
    echo $v > /sys/class/gpio/gpio${i}/value
  done
  sleep 1
done

while (true)
do
  v=$(cat /sys/class/gpio/gpio24/value)
  w=$(cat /sys/class/gpio/gpio23/value)
  if [ $v -eq 1 -a $w -eq 1 ]; then
    echo "Ende"
    break
  fi
  if [ $v -eq 1 ]; then
    for i in $OUTPUTS
    do
      echo 1 > /sys/class/gpio/gpio${i}/value
      sleep 1
    done
  fi

  if [ $w -eq 1 ]; then
    for i in $OUTPUTS
    do
      echo 0 > /sys/class/gpio/gpio${i}/value
      sleep 1
    done
  fi
done


echo "Cleanup pins .."
for i in $INPUTS $OUTPUTS
do
  echo $i > /sys/class/gpio/unexport
done


