// 24c02.c

#include <bcm2835.h>
#include <stdio.h>

static char data[11];

int main(int argc, char **argv)
{

  if (!bcm2835_init())
    return 1;

  bcm2835_i2c_begin();

  // set i2c slave
  bcm2835_i2c_setSlaveAddress(0x50);
  bcm2835_i2c_setClockDivider(BCM2835_I2C_CLOCK_DIVIDER_626);

  data[0] =  0x02;
  bcm2835_i2c_write(data, 1);
  // read data
  bcm2835_i2c_read(data, 10);
  printf("Raw read: ");
  for(int i=0; i<11; i++) { printf("%02x ", data[i]);  }
  printf("\n");

  data[0] =  0x10;
  data[1] =  0x43;
  bcm2835_i2c_write(data, 2);

  bcm2835_i2c_end();
  bcm2835_close();

  return 0;
}
