#!/usr/bin/python
# coding: utf8
#

import sys, time, smbus

# bus, address
bus = 1
addr = 0x28


def read_hyt221(bus, addr):
  ret = {}
  # init i2c bus
  i2c = smbus.SMBus(bus)

  data=bytearray()
  
  data.append(0x30)
  data.append(0x31)
  data.append(0x32)
  data.append(0x33)

  # Init HYT 221 for reading, ignore answer
  ansa = i2c.read_byte_data(addr,0)

  # Read 4 bytes (even more) of data from HYT221
  ansa = i2c.read_i2c_block_data(addr,4)

  #Calc humidity in rel.%
  hum = ansa[0]<<8 | ansa[1]
  hum = hum & 0x3FFF
  ret['humidity'] = 100.0*hum/(2**14)

  # Calc temperature in C
  ansa[3] = ansa[3] & 0x3F
  temp = ansa[2] << 6 | ansa[3]
  ret['temperature'] = 165.0*temp/(2**14)-40

  return (ret)


if __name__ == '__main__':
  while True:
    data = read_hyt221(bus, addr)
    print "Temperatur:  %.1f °C" % data['temperature']
    print "Luftfeuchte: %.1f %%" % data['humidity']
    time.sleep(2)    


